Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/4097/?format=api
{ "ob_id": 4097, "uuid": "c131fa2f5ea5d56e5695205ab9fc6fb7", "title": "QUEST Quaternary: Marine isotope data", "abstract": "Quaternary QUEST was led by Dr Tim Lenton at UEA, with a team of 10 co-investigators at the Universities of Cambridge, Oxford, Reading, Leeds, Bristol, Southampton and at UEA.\r\n\r\nThis dataset contains the Quaternary QUEST marine isotope data compilation for the last 150,000 years.\r\n\r\nThe project team aimed to compile a synthesis of palaeodata from sediments and ice cores, improve the synchronization of these records with each other, and use this greater understanding of the Earth’s ancient atmosphere to improve Earth system models simulating climate over very long timescales. A combined long-term data synthesis and modelling approach has helped to constrain some key mechanisms responsible for glacial-interglacial CO2 change, and Quaternary QUEST have narrowed the field of ocean processes that could have caused glacial CO2 drawdown.\r\n", "keywords": "QUEST, Quaternary, carbon dioxide, climate change, glaciation", "publicationState": "published", "dataPublishedTime": "2014-09-21T20:36:31", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/4098/?format=api", "dataPath": "/badc/quest/data/quaternaryq/isotopes", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 7007095, "numberOfFiles": 5, "fileFormat": "Data are CSV formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/4995/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data provided by Prof Tim Lenton at the University of East Anglia for archiving at the BADC.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/2803/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/12000/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/4096/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/19785/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/19784/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/19787/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/19788/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/19789/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/19790/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71767/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/19786/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/19065/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2543/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }